Bug 194399 - [patch] comms/spandsp: update to 0.0.6
Summary: [patch] comms/spandsp: update to 0.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-16 08:31 UTC by Nikola Kolev
Modified: 2014-12-15 18:47 UTC (History)
5 users (show)

See Also:


Attachments
spandsp update to version 0.0.6 (5.71 KB, patch)
2014-10-16 08:31 UTC, Nikola Kolev
no flags Details | Diff
spandsp update to version 0.0.6 (7.07 KB, patch)
2014-11-11 15:55 UTC, Nikola Kolev
no flags Details | Diff
update comms/spandsp and bump affected ports (12.87 KB, patch)
2014-11-21 22:30 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2014-10-16 08:31:42 UTC
Created attachment 148365 [details]
spandsp update to version 0.0.6

Update comms/spandsp to version 0.0.6.

portlint looks fine.
make check-plist looks fine.
make stage-qa looks fine.

I've tried few times to build the port in redports.org but every time the status was 'dud' - this port is marked as ignore and build cannot be started. Few times I've asked somebody to help why the port is masked as ignore but still no reply. I've tested the build on 10.0 amd64 and everything went fine.
Comment 1 John Marino freebsd_committer 2014-10-31 19:49:27 UTC
Until further notice, redports is completely useless for QA so don't even bother.  Please consider poudriere logs.  We prefer them to "looks fine".

With risk, I'll move this to patch-ready.
Comment 2 Pawel Pekala freebsd_committer 2014-11-03 16:54:37 UTC
Fails to build on 8.4-RELEASE and 0.3-RELEASE, please see log:

http://people.freebsd.org/~pawel/buildlogs/spandsp-0.0.6.log
Comment 3 Nikola Kolev 2014-11-11 15:55:14 UTC
Created attachment 149292 [details]
spandsp update to version 0.0.6

Fix FreeBSD 8.4 build

http://chaosophia.net/poudriere/buildlogs/spandsp-0.0.6.log
Comment 4 Pawel Pekala freebsd_committer 2014-11-21 22:27:14 UTC
Hello maintainers of ports affected by comms/spandsp update

Please test attached patch for any runtime problems. I've build
tested it and it seems build fine all of the affected ports.
Note that I skipped UPDATING part which will be needed to help
users to upgrade. If no one objects I plan to commit in 2 weeks
from today.
Next step will be deprecation of comms/spandsp-devel which will
be older than this port version wise.

Thanks.
Comment 5 Pawel Pekala freebsd_committer 2014-11-21 22:30:10 UTC
Created attachment 149698 [details]
update comms/spandsp and bump affected ports
Comment 6 Guido Falsi freebsd_committer 2014-11-22 10:46:05 UTC
(In reply to Pawel Pekala from comment #4)
> Hello maintainers of ports affected by comms/spandsp update
> 
> Please test attached patch for any runtime problems. I've build
> tested it and it seems build fine all of the affected ports.

Hi, I've performed some testing with asterisk and it does not cause problems. So you have my approval for this. Thanks!

> Note that I skipped UPDATING part which will be needed to help
> users to upgrade. If no one objects I plan to commit in 2 weeks
> from today.
> Next step will be deprecation of comms/spandsp-devel which will
> be older than this port version wise.
> 
> Thanks.
Comment 7 Guido Falsi freebsd_committer 2014-12-15 14:52:03 UTC
Please note I just added net/asterisk13. It still uses the spandsp-devel port.

It will need the same patch as asterisk11.

Thanks.
Comment 8 commit-hook freebsd_committer 2014-12-15 18:47:10 UTC
A commit references this bug:

Author: pawel
Date: Mon Dec 15 18:47:04 UTC 2014
New revision: 374761
URL: https://svnweb.freebsd.org/changeset/ports/374761

Log:
  - Update comms/spandsp to version 0.0.6 [1]
  - Convert all comms/spandsp-devel consumers to use newer comms/spandsp
  - Bump affected ports
  - Mark comms/spandsp-devel as deprecated and set expiration date
  - Add upgrade instructions to UPDATING

  PR:		194399 [1]
  Submitted by:	Nikola Kolev <koue@chaosophia.net> [1]
  Approved by:	madpilot (asterisk ports), maintainer timeout (other)

Changes:
  head/UPDATING
  head/comms/gstreamer1-plugins-spandsp/Makefile
  head/comms/spandsp/Makefile
  head/comms/spandsp/distinfo
  head/comms/spandsp/files/patch-Makefile.am
  head/comms/spandsp/files/patch-configure.ac
  head/comms/spandsp/pkg-plist
  head/comms/spandsp-devel/Makefile
  head/misc/libsupertone/Makefile
  head/multimedia/gstreamer1-plugins/Makefile.common
  head/net/asterisk/Makefile
  head/net/asterisk11/Makefile
  head/net/asterisk13/Makefile
  head/net/mediastreamer/Makefile
  head/net/opal/Makefile
  head/net/yate/Makefile